cgD3D9GetLatestPixelProfile(3)

NAME
cgD3D9GetLatestPixelProfile - get the latest supported pixel shader version

SYNOPSIS
  #include <Cg/cgD3D9.h>
  CGprofile cgD3D9GetLatestPixelProfile( void );

PARAMETERS
None.

RETURN VALUES
Returns the latest pixel shader version supported by the current D3D device.

Returns CG_PROFILE_UNKNOWN if no D3D device is currently set.

DESCRIPTION
cgD3D9GetLatestPixelProfile retrieves the latest pixel shader version that the current D3D device supports. This is an expanded interface function because it needs to know about the D3D device to determine the most current version supported.

EXAMPLES
  CGprofile bestPixelProfile = cgD3D9GetLatestPixelProfile();

ERRORS
None.

HISTORY
cgD3D9GetLatestPixelProfile was introduced in Cg 1.1.

SEE ALSO
cgD3D9GetLatestVertexProfile